package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Swe;
import com.brilliance.isc.vo.lg.InfswfQsLbConditionVo;
import com.brilliance.isc.vo.lg.InfswfQsLbVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface SweMapper {

    int insert(Swe record);

    int insertSelective(Swe record);

    int updateByPrimaryKeySelective(Swe record);

    int updateByPrimaryKey(Swe record);

    int deleteByPrimaryKey(Swe record);

    int deleteByIds(Collection<Object> collection);

    Swe selectByPrimaryKey(Swe record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Swe> dyncRead(Map<String,Object> dyncMap);

    Swe getSweByTrninr(String trnir);

    Swe getSweBySptinr(String sptinr);

    Swe getSweByOwnref(String ownref);

    List<InfswfQsLbVo> queryInfSwfSweList(InfswfQsLbConditionVo infswfQsLbConditionVo);
}